<template>
  <span style="font-weight:normal">
    <b-taglist rounded attached v-if="parseInt(status) === 1">
      <b-tag type="is-dark">
        <b-icon
          pack="sui"
          icon="thermometer"
          size="is-small">
        </b-icon> BGES
      </b-tag>
      <b-tag type="is-info">en cours</b-tag>
    </b-taglist>
    <b-taglist rounded attached v-if="parseInt(status) === 2">
      <b-tag type="is-dark">
        <b-icon
          pack="sui"
          icon="thermometer"
          size="is-small">
        </b-icon> BGES
      </b-tag>
      <b-tag
        type="is-success"
        :key="index"
        v-for="(annee, index) in annees.split(',')"
      >
      {{ annee }}
      </b-tag>
    </b-taglist>
  </span>
</template>

<script>
export default {
  props: ['status', 'annees'],
  name: 'CarbonFootprint'
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  span.carbon-footprint {
    background-color: #4280b0;
    color: #fff;
    display: inline-block;
    padding: 4px 5px;
    margin-left: 5px;
    font-size: 10px;
    font-weight: bold;
    line-height: 1;
    border-radius: 5px;
    box-shadow: inset 0 -1px 0 rgba(0,0,0,0.12);
  }
  span.done {
    background-color: #029d39;
  }
</style>
